import SwiftUI
import SFSafeSymbols

struct SearchField: View {

    @Binding
    var searchString: String

    var body: some View {
        FancyTextField(text: $searchString, icon: .magnifyingglass, placeholder: "Search...")
    }
}

struct SearchField_Previews: PreviewProvider {
    static var previews: some View {
        SearchField(searchString: .constant(""))
            .previewLayout(.fixed(width: 375, height: 50))
    }
}
